#!/bin/sh

if [ -f /usr/nosica/nosicacc.bin ]; then
	compiler="/usr/nosica/nosicacc";
else
  if [ -f /usr/nosica/nosica.jar ]; then
	  compiler="java -cp /usr/nosica/nosica.jar net.nosica.compiler.Main"
  else
	  echo "Could not find nosica.jar nor nosicacc.bin .. bailing out"
	  exit
  fi
fi

$compiler -p /usr/nosica/nosicacc.properties $@
