/*
  $Id: Object.h,v 1.7 2004/03/26 19:25:22 djobet Exp $
  Copyright 2001-2002 David Jobet (david.jobet@free.fr) and Eric Nicolas (enicolas@dvdfr.com)
  Copyright 2003-2004 David Jobet(david.jobet@free.fr).
  This file is part of Nosica, a compiler for the Nosica language

  Nosica is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  Nosica is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with Nosica; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

// Nosica standard library / runtime implementation ---------------------------

#ifndef _NOSICA_NET_NOSICA_LANG_OBJECT_
#define _NOSICA_NET_NOSICA_LANG_OBJECT_

struct ___net_nosica_lang_Object;
typedef struct ___net_nosica_lang_Object net_nosica_lang_Object;

struct ___net_nosica_lang_Object {
  int      ___nbRef;
  ___RTTI *___rtti;
};

#define net_nosica_lang_Object_constructor(this)
#define net_nosica_lang_Object_destructor(this)

#define net_nosica_lang_Object_infix_eq_const_net_nosica_lang_Object_const(a,b) ((a)==(b))
#define net_nosica_lang_Object_infix_ne_const_net_nosica_lang_Object_const(a,b) ((a)!=(b))

#endif // _NOSICA_NET_NOSICA_LANG_OBJECT_
