// GCC configuration file

#ifdef __CYGWIN__     // GCC Cygwin port means we are running on Ms-Windows
#  define WIN32
#endif

typedef signed   long long int int64;
typedef signed   long      int int32;
typedef signed   short     int int16;
typedef signed   char          int8;
typedef unsigned long long int word64;
typedef unsigned long      int word32;
typedef unsigned short     int word16;
typedef unsigned char          word8;

#define ___I8(a)  a
#define ___I16(a) a
#define ___I32(a) a##L
#define ___I64(a) a##LL
#define ___U8(a)  a
#define ___U16(a) a##U
#define ___U32(a) a##UL
#define ___U64(a) a##ULL

#define ___I64_printf "%Ld"
#define ___U64_printf "%Lu"
#define ___DBL_printf "%.15f"
#define ___FLT_printf "%.7f"
#define ___CHR_printf "%c"
#define ___ADDR_printf "@%08X"
