## Nosica scripts -------------------------------------------------------------
## $Id: highlight.pl,v 1.2 2004/03/04 22:01:21 djobet Exp $

$basedir = shift;
$source  = shift;
$target  = shift;

## load keywords

open(IN, "$basedir/tools/keywords.cfg");
while(<IN>) {
  s/^\s*//;
  s/\s*$//;
  @words = (@words, $_);
}
close(IN);
open(IN, "$basedir/tools/reserved.cfg");
while(<IN>) {
  s/^\s*//;
  s/\s*$//;
  @words = (@words, $_);
}
close(IN);

## delete output file if needed

unlink($target);

## process file

open(IN,  "$source")  || die "could not open source file [$source]";
open(OUT, ">$target") || die "could not create target file [$target]";
print OUT "\\begin{NosVerbatim}\n";
while(<IN>) {
  s/&/\\&/g;
  s/\s*$//;
  if (/\/\//) {
    ($line, $comment) = /^(.*)\/\/(.*)$/;
    $comment = "\\colorc_comments//$comment";
  } else {
    $line = $_;
    $comment = "";
  }
  $line =~ s/{/\\colorc_symbols{/g;
  $line =~ s/}/\\colorc_symbols}/g;
  $line =~ s/;/\\colorc_symbols;/g;
  $line =~ s/=/\\colorc_symbols=/g;

  foreach $word (@words) {
    $line =~ s/\b$word\b/\\colorc_keywords$word/g;
  }

  print OUT "$line$comment\n";

}
print OUT "\\end{NosVerbatim}\n";
close(OUT);
close(IN);
