#!/usr/bin/perl -w

use strict;

if ($#ARGV < 1)
{
  print "insertStatement.pl statementFile targetFile\n";
  exit;
}

$statementFile = $ARGV[0];
$targetFile = $ARGV[1];

# read statement file and place it in variable $statement
$statement = "";
open(HDL, $statementFile) || die "cannot open statement file $statementFile";
while (<HDL>)
{
  $statement .= $_;
}

close HDL;

# now merging two files
open(HDL_SRC, $targetFile) || die "cannot open target file $targetFile";
open(HDL_DST, ">$targetFile.new") || die "cannot make a temporary file";

print HDL_DST $statement;

while (<HDL_SRC>)
{
  print HDL_DST;
}
close(HDL_SRC);
close(HDL_DST);

unlink($targetFile);
rename("$targetFile.new", $targetFile);
